# Determinant matice
## Determinant
- **Determinantem** čtvercové matice A = $[a_{ij}]$ řádu n je číslo: det(A) = $ \sum_{\pi}^{} zn(\pi)a_{1\pi(1)}a_{2\pi(2)}...a_{n\pi(n)} $
- kde sčítáme přes všechny permutace na množině {1, 2, ..., n}
- determinant je suma všech permutací vzniklých z diagonálního řádku matice, kde sudá permutace je s kladným znaménkem a lichá se záporným
- v součinu prvků v definici determinantu je z každého řádku a z každého sloupce vybrán právě jeden prvek
- $ det(A) = det(A^{T}) $
- algebraický doplňek prvku $ (-1)^{i+j} det A[\cancel{i/j}] $ subdeterminant (minor) vzniklý z matice vynecháním i-tého řádku a j-tého sloupce.

### Rozvoj podle i-tého řádku
- A je čtvercová matice řádu n
- $ i = \in {\{ 1, 2, ..., n  \}} $
- $ det(A) = a_{i1}A_{i1}+a_{i2}A_{i2} + ... + a_{in}A_{in} = \sum_{j=1}^{n}a_{ij}A_{ij} $
- elementární úpravy:
    - prohození dvou řádků matice
    - vynásobení (vydělení) řádku matice nenulovým číslem
    - přičtení k-násobku i-tého řádku k j-tému
- pro determinanty můžeme využívat analogicky sloupcové elementární úpravy
- nechť matice B vznikne z matice A prohozením dvou řádků (sloupců) => det(B) = -det(A)
    - DK: prohozením dvou řádků (sloupců) se změní počet transpozic v každé permutaci o 1, tedy znaménka se změní v opačná
    - z definice determinantu pak plyne, že vyjde opačný k det(A)
- má-li matice A **dva stejné řádky** nebo **sloupce** => **det(A) = 0**
    - DK: B vznikne z matice A prohozením dvou stejných řádků (sloupců)
    - det (B) = -det(A) z předch. věty a B=A, tedy det(B) = det(A) => det(A)=det(B)=0
- nechť matice B vznikne z matice A vynásobením i-tého řádku (sloupce) číslem c => det(B) = c*det(A)
    - DK: rozvoj v B podle i-tého řádku:
    - $ det(B) = (c*a_{i1}*A_{i1} + c*a_{i2}*A_{i2} + ... + c*a_{in}*A_{in}) = c * (a_{i1}*A_{i1} + a_{i2}*A_{i2} + ... + a_{in}*A_{in}) = c * det(A) $
- má-li matice A nějaký řádek nebo sloupec nulový => det(A) = 0
    - DK: rozvojem podle nulového řádku (sloupce)
- nechť matice B vznikne z matice A přičtením c-násobku i-tého řádku (slupce) k j-tému řádku (sloupci) (i $ \cancel = $ j) => det(B) = det(A)
- nechť A, B jsou matice řádu n => det(A*B) = det(A) * det(B)